KCOMETEN4.KSS(1)

NAME
kcometen4.kss - An OpenGL screensaver with exploding comets.

SYNOPSIS
kcometen4.kss [Qt options] [KDE options] [options]

DESCRIPTION
KCometen4 is an OpenGL screensaver. A variety of multi-colored comets bounce inside a room until they explode. Occasionally lightning will also strike and blow them up. Meanwhile, a free-floating camera watches the action and sometimes enters a slow motion "bullet time" mode. It is suprisingly hypnotic.

OPTIONS

  Options:

--setup
    Setup screen saver

--window-id wid
    Run in the specified XWindow

--root
    Run in the root XWindow

--demo
    Start screen saver in demo mode [default]

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  KDE options:

  --caption caption
Use caption as name in the titlebar

--icon icon
    Use icon as the application icon

--config filename
    Use alternative configuration file

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style style
    sets the application GUI style

--geometry geometry
    sets the client geometry of the main widget - see X(7) for the argument format

  Qt options:

  --display displayname
Use the X-server display
    displayname

--session sessionId
    Restore the application for the given sessionId

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols count
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font fontname
    defines the application font

--bg, --background color
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground color
    sets the default foreground color

--btn, --button color
    sets the default button color

--name name
    sets the application name

--title title
    sets the application caption title

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle inputstyle
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot, and root

--im XIM server
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

--stylesheet file.qss
    applies the Qt stylesheet to the application widgets

AUTHORS

  Peter Müller <pmueller@cs.tu-berlin.de> wrote the original program for KDE3
as KCometen3.
John Stamp <jstamp@users.sourceforge.net> ported it to KDE4 and added a few bugfixes and features.

This manual page was written by John Stamp <jstamp@users.sourceforge.net>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.